Browse Source

Sync with portage [Fri May 2 23:36:39 MSK 2014].

mhiretskiy
root 8 years ago
parent
commit
ce968b7214
  1. 36
      app-admin/hddtemp/hddtemp-0.3_beta15-r25.ebuild
  2. 40
      app-admin/hddtemp/hddtemp-0.3_beta15-r7.ebuild
  3. 4
      app-admin/sysstat/sysstat-10.2.1-r1.ebuild
  4. 8
      app-admin/webmin/Manifest
  5. 269
      app-admin/webmin/webmin-1.630.ebuild
  6. 269
      app-admin/webmin/webmin-1.660.ebuild
  7. 4
      app-admin/webmin/webmin-1.680.ebuild
  8. 1
      app-arch/dpkg/Manifest
  9. 4
      app-arch/dpkg/dpkg-1.17.8.ebuild
  10. 96
      app-arch/dpkg/dpkg-1.17.9.ebuild
  11. 3
      app-backup/obnam/obnam-1.7.4.ebuild
  12. 2
      app-crypt/kencfs/Manifest
  13. 12
      app-crypt/kencfs/files/kencfs-1.1-underlinking.patch
  14. 44
      app-crypt/kencfs/kencfs-1.2-r1.ebuild
  15. 40
      app-crypt/kencfs/kencfs-1.3.1.ebuild
  16. 2
      app-crypt/kencfs/metadata.xml
  17. 4
      app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild
  18. 1
      app-editors/emacs-vcs/Manifest
  19. 367
      app-editors/emacs-vcs/emacs-vcs-24.4.50_pre20140430.ebuild
  20. 1
      app-editors/gvim/Manifest
  21. 399
      app-editors/gvim/gvim-7.4.273.ebuild
  22. 1
      app-editors/scite/Manifest
  23. 87
      app-editors/scite/scite-3.4.1.ebuild
  24. 1
      app-editors/vim-core/Manifest
  25. 232
      app-editors/vim-core/vim-core-7.4.273.ebuild
  26. 1
      app-editors/vim/Manifest
  27. 370
      app-editors/vim/vim-7.4.273.ebuild
  28. 1
      app-emacs/delicious/Manifest
  29. 30
      app-emacs/delicious/delicious-0.3-r1.ebuild
  30. 4
      app-emacs/delicious/files/50delicious-gentoo.el
  31. 1
      app-emulation/cloud-init/Manifest
  32. 53
      app-emulation/cloud-init/cloud-init-0.7.5.ebuild
  33. 12
      app-emulation/cloud-init/files/cloud-init-0.7.5-tests-exclude.patch
  34. 101
      app-emulation/emul-linux-x86-baselibs/emul-linux-x86-baselibs-20140406-r3.ebuild
  35. 327
      app-emulation/emul-linux-x86-baselibs/files/remove-native-20140406-r3
  36. 2
      app-emulation/libguestfs-appliance/Manifest
  37. 32
      app-emulation/libguestfs-appliance/libguestfs-appliance-1.24.8.ebuild
  38. 32
      app-emulation/libguestfs-appliance/libguestfs-appliance-1.26.0.ebuild
  39. 1
      app-emulation/libguestfs/Manifest
  40. 10
      app-emulation/libguestfs/files/1.26/0000_bug_499150.patch
  41. 15
      app-emulation/libguestfs/files/1.26/0001_add_gentoo_names_to_configure.patch
  42. 16
      app-emulation/libguestfs/files/1.26/0002_add_gentooway_to_remove_la_files.patch
  43. 21
      app-emulation/libguestfs/files/1.26/0005_enable_gtk_docs_in_broken_autotools-utils-eclass.patch
  44. 13
      app-emulation/libguestfs/files/1.26/0103_disable_php_bindings_makefile.patch
  45. 161
      app-emulation/libguestfs/libguestfs-1.26.1.ebuild
  46. 1
      app-emulation/libvirt-glib/Manifest
  47. 63
      app-emulation/libvirt-glib/libvirt-glib-0.1.8.ebuild
  48. 26
      app-misc/screen/screen-4.2.1-r2.ebuild
  49. 4
      app-office/dia/dia-0.97.3_pre20140417.ebuild
  50. 71
      app-office/libreoffice/files/libreoffice-4.2.3.3-kde4-startup.patch
  51. 592
      app-office/libreoffice/libreoffice-4.2.3.3-r1.ebuild
  52. 1
      app-office/texmacs/Manifest
  53. 1
      app-office/texmacs/metadata.xml
  54. 69
      app-office/texmacs/texmacs-1.99.1.ebuild
  55. 2
      app-text/calibre/Manifest
  56. 18
      app-text/calibre/calibre-1.34.ebuild
  57. 11
      app-text/calibre/files/calibre-1.34-C-locale.patch
  58. 37
      app-text/calibre/files/calibre-1.34-no_updates_dialog.patch
  59. 4
      app-text/mate-doc-utils/mate-doc-utils-1.6.2.ebuild
  60. 2
      app-text/pdfminer/Manifest
  61. 24
      app-text/pdfminer/pdfminer-20140328.ebuild
  62. 22
      app-text/xdvik/files/xdvik-22.87-xaw3d.patch
  63. 3
      app-text/xdvik/xdvik-22.87.ebuild
  64. 30
      dev-cpp/gtest/gtest-1.7.0.ebuild
  65. 2
      dev-cpp/tbb/Manifest
  66. 4
      dev-cpp/tbb/tbb-4.2.20140122.ebuild
  67. 4
      dev-java/gnu-classpath/gnu-classpath-0.98-r3.ebuild
  68. 4
      dev-java/jflex/jflex-1.5.1.ebuild
  69. 2
      dev-lang/perl/Manifest
  70. 70
      dev-lang/perl/files/eblits/src_prepare-v50180002.eblit
  71. 8
      dev-lang/perl/perl-5.18.2.ebuild
  72. 8
      dev-libs/boost-numpy/boost-numpy-0_pre20131206.ebuild
  73. 8
      dev-libs/boost-numpy/boost-numpy-9999.ebuild
  74. 28
      dev-libs/libconfig/libconfig-1.4.9-r1.ebuild
  75. 1
      dev-libs/libe/Manifest
  76. 27
      dev-libs/libe/libe-0.6.0.ebuild
  77. 4
      dev-libs/libgcrypt/libgcrypt-1.6.1-r1.ebuild
  78. 59
      dev-libs/maloc/maloc-1.5-r1.ebuild
  79. 2
      dev-libs/maloc/metadata.xml
  80. 1
      dev-libs/replicant/Manifest
  81. 22
      dev-libs/replicant/replicant-0.5.0.ebuild
  82. 2
      dev-lisp/sbcl/Manifest
  83. 207
      dev-lisp/sbcl/sbcl-1.1.18.ebuild
  84. 22
      dev-perl/Class-Adapter/Class-Adapter-1.80.0.ebuild
  85. 26
      dev-perl/Finance-Quote/Finance-Quote-1.290.0.ebuild
  86. 1
      dev-perl/Finance-Quote/Manifest
  87. 25
      dev-perl/HTTP-Cookies/HTTP-Cookies-6.0.0.ebuild
  88. 1
      dev-perl/HTTP-Cookies/Manifest
  89. 18
      dev-perl/IO-Multiplex/IO-Multiplex-1.09.ebuild
  90. 6
      dev-perl/IO-Multiplex/IO-Multiplex-1.130.0.ebuild
  91. 1
      dev-perl/IO-Multiplex/Manifest
  92. 1
      dev-perl/Math-BigInt-GMP/Manifest
  93. 21
      dev-perl/Math-BigInt-GMP/Math-BigInt-GMP-1.380.0.ebuild
  94. 1
      dev-perl/OpenGL/Manifest
  95. 36
      dev-perl/OpenGL/OpenGL-0.670.3.ebuild
  96. 17
      dev-perl/Scalar-Properties/Scalar-Properties-1.100.860-r1.ebuild
  97. 1
      dev-perl/Text-Quoted/Manifest
  98. 20
      dev-perl/Text-Quoted/Text-Quoted-2.80.0.ebuild
  99. 21
      dev-perl/XML-Grove/XML-Grove-0.46_alpha-r1.ebuild
  100. 6
      dev-perl/XML-Grove/XML-Grove-0.46_alpha-r2.ebuild

36
app-admin/hddtemp/hddtemp-0.3_beta15-r25.ebuild

@ -1,10 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/hddtemp/hddtemp-0.3_beta15-r25.ebuild,v 1.1 2014/04/27 11:11:29 aidecoe Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/hddtemp/hddtemp-0.3_beta15-r25.ebuild,v 1.2 2014/05/02 17:42:01 pacho Exp $
EAPI=5
inherit eutils autotools systemd
inherit eutils autotools readme.gentoo systemd
MY_P=${P/_beta/-beta}
DBV=20080531
@ -25,6 +24,19 @@ S="${WORKDIR}/${MY_P}"
DOCS=(README TODO ChangeLog)
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="In order to update your hddtemp database, run:
emerge --config =${CATEGORY}/${PF} or update-hddtemp.db (if USE
network-cron is enabled)
If your hard drive is not recognized by hddtemp, please consider
submitting your HDD info for inclusion into the Gentoo hddtemp
database by filing a bug at https://bugs.gentoo.org/
If hddtemp complains but finds your HDD temperature sensor, use the
--quiet option to suppress the warning.
"
src_prepare() {
epatch "${FILESDIR}"/${P}-satacmds.patch
epatch "${FILESDIR}"/${P}-byteswap.patch
@ -57,6 +69,8 @@ src_install() {
systemd_newunit "${FILESDIR}"/hddtemp.service-r1 "${PN}.service"
systemd_install_serviced "${FILESDIR}"/hddtemp.service.conf
readme.gentoo_create_doc
if use network-cron; then
dosbin "${FILESDIR}"/update-hddtemp.db
exeinto /etc/cron.monthly
@ -65,22 +79,6 @@ src_install() {
fi
}
pkg_postinst() {
elog "In order to update your hddtemp database, run:"
if use network-cron; then
elog " update-hddtemp.db"
else
elog " emerge --config =${CATEGORY}/${PF}"
fi
elog ""
elog "If your hard drive is not recognized by hddtemp, please consider"
elog "submitting your HDD info for inclusion into the Gentoo hddtemp"
elog "database by filing a bug at https://bugs.gentoo.org/"
echo
ewarn "If hddtemp complains but finds your HDD temperature sensor, use the"
ewarn "--quiet option to suppress the warning."
}
update_db() {
local src=$1
local dst=$2

40
app-admin/hddtemp/hddtemp-0.3_beta15-r7.ebuild

@ -1,8 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/hddtemp/hddtemp-0.3_beta15-r7.ebuild,v 1.9 2014/04/27 11:00:47 aidecoe Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/hddtemp/hddtemp-0.3_beta15-r7.ebuild,v 1.10 2014/05/02 17:42:01 pacho Exp $
inherit eutils autotools systemd
EAPI=5
inherit eutils autotools readme.gentoo systemd
MY_P=${P/_beta/-beta}
DBV=20080531
@ -21,9 +22,19 @@ RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
src_unpack() {
unpack ${A}
cd "${S}"
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="In order to update your hddtemp database, run:
emerge --config =${CATEGORY}/${PF}
If your hard drive is not recognized by hddtemp, please consider
submitting your HDD info for inclusion into the Gentoo hddtemp
database by filing a bug at https://bugs.gentoo.org/
If hddtemp complains but finds your HDD temperature sensor, use the
--quiet option to suppress the warning.
"
src_prepare() {
epatch "${FILESDIR}"/${P}-satacmds.patch
epatch "${FILESDIR}"/${P}-byteswap.patch
epatch "${FILESDIR}"/${P}-execinfo.patch
@ -33,18 +44,17 @@ src_unpack() {
AT_M4DIR="m4" eautoreconf
}
src_compile() {
src_configure() {
local myconf
myconf="--with-db-path=/usr/share/hddtemp/hddtemp.db"
# disabling nls breaks compiling
use nls || myconf="--disable-nls ${myconf}"
econf ${myconf} || die
emake || die
econf ${myconf}
}
src_install() {
make DESTDIR="${D}" install || die
default
dodoc README TODO ChangeLog
insinto /usr/share/hddtemp
@ -56,18 +66,8 @@ src_install() {
newinitd "${FILESDIR}"/hddtemp-init hddtemp
systemd_newunit "${FILESDIR}"/hddtemp.service-r1 "${PN}.service"
systemd_install_serviced "${FILESDIR}"/hddtemp.service.conf
}
pkg_postinst() {
elog "In order to update your hddtemp database, run:"
elog " emerge --config =${CATEGORY}/${PF}"
elog ""
elog "If your hard drive is not recognized by hddtemp, please consider"
elog "submitting your HDD info for inclusion into the Gentoo hddtemp"
elog "database by filing a bug at https://bugs.gentoo.org/"
echo
ewarn "If hddtemp complains but finds your HDD temperature sensor, use the"
ewarn "--quiet option to suppress the warning."
readme.gentoo_create_doc
}
update_db() {

4
app-admin/sysstat/sysstat-10.2.1-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sysstat/sysstat-10.2.1-r1.ebuild,v 1.1 2014/02/01 12:44:08 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sysstat/sysstat-10.2.1-r1.ebuild,v 1.2 2014/05/02 12:58:13 jer Exp $
EAPI=5
inherit eutils multilib systemd toolchain-funcs
@ -11,7 +11,7 @@ SRC_URI="${HOMEPAGE}${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="cron debug +doc isag nls lm_sensors"
RDEPEND="

8
app-admin/webmin/Manifest

@ -1,6 +1,2 @@
DIST webmin-1.620-minimal.tar.gz 2440850 SHA256 51d75ce76a9038357dec4fbf74069aca1b003bb1e64c7339626cb28ce42fd834 SHA512 099c5197eba2ad205c4aad785fe21c4bc4994be1e70c75157dc0f59fb3292b912b16a0a81ef6e147eb9dd7506a445ab5e677935e1c13449599744d90b8d0d52f WHIRLPOOL d88fa9ccdefdf9d7f9d981225da4f47ef50f0cc976c9691ebae362f974942f26ffca6a43c5b0da50a18937c44a4c23b60228e2155611274aca78f6724db61614
DIST webmin-1.620.tar.gz 21646366 SHA256 3d36153406d8e5d3dcaeadba34dfb5cdbc4060b75c38339174ac97b2277f284b SHA512 18fcf5dcee161b71b927a7fb5acffe5c655376982989d4f92a08c296186b40b1c185bde83df2cc670eaf6efa8070d73fb39755f94309347e040e8e5edde12312 WHIRLPOOL 6cdcc8855998d1f1f2482d43765894584445bc1f75f2606e39ed7569522891af6ec2c260dcfb0a2a0350cff8a4b21964b3a91edceb49278963f2b71df1211633
DIST webmin-1.630-minimal.tar.gz 2444267 SHA256 3ba026301ba1cf03351ae93667d32efb20704a42f749c5107510b6fca0bb8e88 SHA512 34e61a1a90d6a446bc7cadf93fc0cab05bcc50d4deb92557e7b3322f10ccefd96299f23fbf7dff81c346c6dd24cba4ef6278d1077d4c247ef2ce8a3ab67ac243 WHIRLPOOL 06fe981b26eb960649fb87edf24dcbaf98a3937226cc1543ec2ed607b6ab86854a17a07d45ab0facc0cd5e78a569326a786011e61b46fb7103a5b4eacbe75f41
DIST webmin-1.630.tar.gz 21744645 SHA256 2ba5616a252d8108aab0573f615f7cc5c8c15b7df8c11bbcecf7acc23964432f SHA512 e4c373e545f4f9b5acd233576b094ceafff74dbc75702ee2d0d5a4b15fd4afa827f62b8d23500684e0c0ee97509e32ba9619f039f271d2bc8ddf47ca2e67c733 WHIRLPOOL f8cc2fde5cc7d24e16a573a864508779c8939149c97283402659cc7c48a6768f9c92ca36149490553952bfdc0e73d9e562d80f9a8f4986b13856b14c81061291
DIST webmin-1.660-minimal.tar.gz 2508867 SHA256 ec5dc4197e02b21f49a72e34bd64cc355a1e47d2f0e968d04eb756eba47d330a SHA512 6db99b4515365573ee15852a5b81002c8a3bc474f9ad991c10ccea1a8e2a16097519aaa97087ffce390414083e7903e67e3ec35c192a1de788f4018979885ed2 WHIRLPOOL 61df24953dda735a1e760a8d9997b741bdeb282832149a22cde03abde03ecc341e6c7e0f6f050ea66c68e0f732d7e2ab1db901f25186088713662c7ed515b1b4
DIST webmin-1.660.tar.gz 22198207 SHA256 21f6fa65aa8198f564199480ba48999eb10c5ac49f3adec01084f97a5a8d0b5b SHA512 b8544d5602c9734e17406fea315384fe996a0ccf43da8e1a2df4ed16bc7624ac59422d152678cfa473e255ce5570c7a0e2a69c9ef22d3938d916abb2889ebabb WHIRLPOOL 24972d32d0242703ab4c7455dd207ea7441bc10007268d9634da864e2954e34cbe126deeaf2ad58137dc302352459d0b9f8a30b57335ed1e9c9ce62dc73b4922
DIST webmin-1.680-minimal.tar.gz 2593231 SHA256 8152e56f9f880b1f719134a877b2bb2b022fccdd59a875aefbf6f24b0cb37230 SHA512 742238771bcff5342b2c651a015ba234d66035fdbab900963a9cf0832aa13ea299d565a6467a737e59b6b69b8a6a50fa8a5545f6cb615b0fcdcf0b2942eb5213 WHIRLPOOL 40d86669721e274cba6b80b70b1382c5c977abef23cfabb1005140910c8d982c6f00425cf9e9309452286ec74da40f16cefede8694930f24096449e4fea1e344
DIST webmin-1.680.tar.gz 22418010 SHA256 c6205b6a9dfa1aa7179591bb9a82a9f321e775ed08710da8877d01c5bf9b8078 SHA512 591ac89192c020a443af318a30664310d36d0b9880cd91ff5179bdb17fc01773abf3ae67a016e922fd4d319d311d16f9c9f79a9d07bd94018a38b0127549bc69 WHIRLPOOL 21729591197f971244f99a281da4a3f8af7c17673c1fd124cb9de2de28fd3e0e6688e38f782e735038f5735cbeac551ebab5eb7a417d7adc899794944490a54b

269
app-admin/webmin/webmin-1.630.ebuild

@ -1,269 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/webmin/webmin-1.630.ebuild,v 1.1 2013/05/16 19:33:31 hwoarang Exp $
EAPI="3"
inherit eutils pam ssl-cert
DESCRIPTION="A web-based Unix systems administration interface"
HOMEPAGE="http://www.webmin.com/"
SRC_URI="minimal? ( mirror://sourceforge/webadmin/${P}-minimal.tar.gz )
!minimal? ( mirror://sourceforge/webadmin/${P}.tar.gz )"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
# NOTE: The ssl flag auto added by ssl-cert eclass is not used actually
# because openssl is forced by dev-perl/Net-SSLeay
IUSE="minimal +ssl mysql postgres ldap"
# All the required perl modules can be found easily using (in Webmin's root src dir):
# find . -name cpan_modules.pl -exec grep "::" {} \;
# NOTE: If Webmin doesn't find the required perl modules, it offers(runtime) the user
# to install them using the in-built cpan module, and this will mess up perl on the system
# That's why some modules are forced without a use flag
# NOTE: pam, ssl and dnssec-tools deps are forced for security and Gentoo compliance installation reasons
DEPEND="virtual/perl-Sys-Syslog
virtual/perl-Time-HiRes
virtual/perl-Time-Local
dev-perl/Authen-Libwrap
dev-perl/IO-Tty
dev-perl/MD5
dev-perl/Net-SSLeay
dev-perl/Authen-PAM
dev-perl/Sys-Hostname-Long
>=net-dns/dnssec-tools-1.13
!minimal? (
mysql? ( dev-perl/DBD-mysql )
postgres? ( dev-perl/DBD-Pg )
ldap? ( dev-perl/perl-ldap )
dev-perl/XML-Generator
dev-perl/XML-Parser
)"
RDEPEND="${DEPEND}"
src_prepare() {
local perl="$( which perl )"
# Remove the unnecessary and incompatible files
rm -rf acl/Authen-SolarisRBAC-0.1*
if ! use minimal ; then
rm -rf {format,{bsd,hpux,sgi}exports,zones,rbac}
rm -f mount/{free,net,open}bsd-mounts*
rm -f mount/macos-mounts*
fi
# For security reasons remove the SSL certificate that comes with Webmin
# We will create our own later
rm -f miniserv.pem
# Remove the Webmin setup scripts to avoid Webmin in runtime to mess up config
# We will use our own later
rm -f setup.{sh,pl}
# Set the installation type/mode to Gentoo
echo "gentoo" > install-type
# Fix the permissions of the install files
chmod -R og-w "${S}"
# Since we should not modify any files after install
# we set the perl path in all cgi and pl files here using Webmin's routines
# The pl file is Prefix safe and works only on provided input, no other filesystem files
ebegin "Fixing perl path in source files"
(find "${S}" -name '*.cgi' -print ; find "${S}" -name '*.pl' -print) | $perl "${S}"/perlpath.pl $perl -
eend $?
}
src_install() {
# Create config dir and keep
diropts -m0755
dodir /etc/webmin
keepdir /etc/webmin
# Create install dir
# Third party modules installed through Webmin go here too, so keep
dodir /usr/libexec/webmin
keepdir /usr/libexec/webmin
# Copy our own setup script to installation folder
insinto /usr/libexec/webmin
newins "${FILESDIR}"/gentoo-setup gentoo-setup.sh
fperms 0744 /usr/libexec/webmin/gentoo-setup.sh
# This is here if we ever want in future ebuilds to add some specific
# config values in the /etc/webmin/miniserv.conf
# The format of this file should be the same as the one of miniserv.conf:
# var=value
#
# Uncomment it if you use such file. Before that check if upstream
# has this file in root dir too.
#newins "${FILESDIR}/miniserv-conf" miniserv-conf
# Create the log dir and keep
diropts -m0700
dodir /var/log/webmin
keepdir /var/log/webmin
# Create the init.d file and put the neccessary variables there
newinitd "${FILESDIR}"/init.d.webmin webmin
sed -i \
-e "s:%exe%:${EROOT}usr/libexec/webmin/miniserv.pl:" \
-e "s:%pid%:${EROOT}var/run/webmin.pid:" \
-e "s:%conf%:${EROOT}etc/webmin/miniserv.conf:" \
-e "s:%perllib%:${EROOT}usr/libexec/webmin:" \
"${ED}etc/init.d/webmin" \
|| die "Failed to patch the webmin init file"
# Setup pam
pamd_mimic system-auth webmin auth account session
# Copy files to installation folder
ebegin "Copying install files to destination"
cp -pPR "${S}"/* "${ED}usr/libexec/webmin"
eend $?
}
pkg_preinst() {
# First stop service if running so Webmin to not messup our config
ebegin "Stopping any running Webmin instance prior merging"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
}
pkg_postinst() {
# Run pkg_config phase first - non interactively
export INTERACTIVE="no"
pkg_config
# Every next time pkg_config should be interactive
INTERACTIVE="yes"
ewarn
ewarn "Bare in mind that not all Webmin modules are Gentoo tweaked and may have some issues."
ewarn "Always be careful when using modules that modify init entries, do update of webmin, install CPAN modules etc."
ewarn "To avoid problems, please before using any module, look at its configuration options first."
ewarn "(Usually there is a link at top in the right pane of Webmin for configuring the module.)"
ewarn
elog "- To make Webmin start at boot time, run: 'rc-update add webmin default'"
elog "- The default URL to connect to Webmin is: https://localhost:10000"
elog "- The default user that can login is: root"
elog "- To reconfigure Webmin in case of problems run 'emerge --config app-admin/webmin'"
}
pkg_prerm() {
# First stop service if running - we do not want Webmin to mess up config
ebegin "Stopping any running Webmin instance prior unmerging"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
}
pkg_postrm() {
ewarn
ewarn "You have uninstalled Webmin, so have in mind that all cron jobs scheduled"
ewarn "by Webmin for its own modules, are left active and they will fail when Webmin is missing."
ewarn "To fix this just disable them if you intend to use Webmin again,"
ewarn "OR delete them if not."
ewarn
}
pkg_config(){
# First stop service if running
ebegin "Stopping any running Webmin instance"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
# Next set the default reset variable to 'none'
# reset/_reset can be:
# 'none' - does not reset anything, just upgrades if a conf is present
# OR installs new conf if a conf is missing
# 'soft' - deletes only $config_dir/config file and thus resetting most
# conf values to their defaults. Keeps the specific Webmin cron jobs
# 'hard' - deletes all files in $config_dir (keeping the .keep_* Gentoo file)
# and thus resetting all Webmin. Deletes the specific Webmin cron jobs too.
local _reset="none"
# If in interactive mode ask user what should we do
if [[ "${INTERACTIVE}" = "yes" ]]; then
einfo
einfo "Please enter the number of the action you would like to perform?"
einfo
einfo "1. Update configuration"
einfo " (keeps old config options and adds the new ones)"
einfo "2. Soft reset configuration"
einfo " (keeps some old config options, the other options are set to default)"
ewarn " All Webmin users will be reset"
einfo "3. Hard reset configuration"
einfo " (all options including module options are set to default)"
ewarn " You will lose all Webmin configuration options you have done till now"
einfo "4. Exit this configuration utility (default)"
while [ "$correct" != "true" ] ; do
read answer
if [[ "$answer" = "1" ]] ; then
_reset="none"
correct="true"
elif [[ "$answer" = "2" ]] ; then
_reset="soft"
correct="true"
elif [[ "$answer" = "3" ]] ; then
_reset="hard"
correct="true"
elif [ "$answer" = "4" -o "$answer" = "" ] ; then
die "User aborted configuration."
else
echo "Answer not recognized. Enter a number from 1 to 4"
fi
done
if [[ "$_reset" = "hard" ]]; then
while [ "$sure" != "true" ] ; do
ewarn "You will lose all Webmin configuration options you have done till now."
ewarn "Are you sure you want to do this? (y/n)"
read answer
if [[ $answer =~ ^[Yy]([Ee][Ss])?$ ]] ; then
sure="true"
elif [[ $answer =~ ^[Nn]([Oo])?$ ]] ; then
die "User aborted configuration."
else
echo "Answer not recognized. Enter 'y' or 'n'"
fi
done
fi
fi
export reset=$_reset
# Create ssl certificate for Webmin if there is not one in the proper place
if [[ ! -e "${EROOT}etc/ssl/webmin/server.pem" ]]; then
SSL_ORGANIZATION="${SSL_ORGANIZATION:-Webmin Server}"
SSL_COMMONNAME="${SSL_COMMONNAME:-*}"
install_cert "${EROOT}/etc/ssl/webmin/server"
fi
# Ensure all paths passed to the setup script use EROOT
export wadir="${EROOT}usr/libexec/webmin"
export config_dir="${EROOT}etc/webmin"
export var_dir="${EROOT}var/log/webmin"
export tempdir="${T}"
export pidfile="${EROOT}var/run/webmin.pid"
export perl="$( which perl )"
export os_type='gentoo-linux'
export os_version='*'
export real_os_type='Gentoo Linux'
export real_os_version='Any version'
# Forcing 'ssl', 'ssl_redirect' and 'no_sslcompression' for tightening security
export ssl=1
export ssl_redirect=1
export no_sslcompression=1
export keyfile="${EROOT}etc/ssl/webmin/server.pem"
export port=10000
export atboot=0
einfo "Executing Webmin's configure script"
$wadir/gentoo-setup.sh
einfo "Configuration of Webmin done"
}

269
app-admin/webmin/webmin-1.660.ebuild

@ -1,269 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/webmin/webmin-1.660.ebuild,v 1.1 2013/11/21 07:24:43 patrick Exp $
EAPI="3"
inherit eutils pam ssl-cert
DESCRIPTION="A web-based Unix systems administration interface"
HOMEPAGE="http://www.webmin.com/"
SRC_URI="minimal? ( mirror://sourceforge/webadmin/${P}-minimal.tar.gz )
!minimal? ( mirror://sourceforge/webadmin/${P}.tar.gz )"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
# NOTE: The ssl flag auto added by ssl-cert eclass is not used actually
# because openssl is forced by dev-perl/Net-SSLeay
IUSE="minimal +ssl mysql postgres ldap"
# All the required perl modules can be found easily using (in Webmin's root src dir):
# find . -name cpan_modules.pl -exec grep "::" {} \;
# NOTE: If Webmin doesn't find the required perl modules, it offers(runtime) the user
# to install them using the in-built cpan module, and this will mess up perl on the system
# That's why some modules are forced without a use flag
# NOTE: pam, ssl and dnssec-tools deps are forced for security and Gentoo compliance installation reasons
DEPEND="virtual/perl-Sys-Syslog
virtual/perl-Time-HiRes
virtual/perl-Time-Local
dev-perl/Authen-Libwrap
dev-perl/IO-Tty
dev-perl/MD5
dev-perl/Net-SSLeay
dev-perl/Authen-PAM
dev-perl/Sys-Hostname-Long
>=net-dns/dnssec-tools-1.13
!minimal? (
mysql? ( dev-perl/DBD-mysql )
postgres? ( dev-perl/DBD-Pg )
ldap? ( dev-perl/perl-ldap )
dev-perl/XML-Generator
dev-perl/XML-Parser
)"
RDEPEND="${DEPEND}"
src_prepare() {
local perl="$( which perl )"
# Remove the unnecessary and incompatible files
rm -rf acl/Authen-SolarisRBAC-0.1*
if ! use minimal ; then
rm -rf {format,{bsd,hpux,sgi}exports,zones,rbac}
rm -f mount/{free,net,open}bsd-mounts*
rm -f mount/macos-mounts*
fi
# For security reasons remove the SSL certificate that comes with Webmin
# We will create our own later
rm -f miniserv.pem
# Remove the Webmin setup scripts to avoid Webmin in runtime to mess up config
# We will use our own later
rm -f setup.{sh,pl}
# Set the installation type/mode to Gentoo
echo "gentoo" > install-type
# Fix the permissions of the install files
chmod -R og-w "${S}"
# Since we should not modify any files after install
# we set the perl path in all cgi and pl files here using Webmin's routines
# The pl file is Prefix safe and works only on provided input, no other filesystem files
ebegin "Fixing perl path in source files"
(find "${S}" -name '*.cgi' -print ; find "${S}" -name '*.pl' -print) | $perl "${S}"/perlpath.pl $perl -
eend $?
}
src_install() {
# Create config dir and keep
diropts -m0755
dodir /etc/webmin
keepdir /etc/webmin
# Create install dir
# Third party modules installed through Webmin go here too, so keep
dodir /usr/libexec/webmin
keepdir /usr/libexec/webmin
# Copy our own setup script to installation folder
insinto /usr/libexec/webmin
newins "${FILESDIR}"/gentoo-setup gentoo-setup.sh
fperms 0744 /usr/libexec/webmin/gentoo-setup.sh
# This is here if we ever want in future ebuilds to add some specific
# config values in the /etc/webmin/miniserv.conf
# The format of this file should be the same as the one of miniserv.conf:
# var=value
#
# Uncomment it if you use such file. Before that check if upstream
# has this file in root dir too.
#newins "${FILESDIR}/miniserv-conf" miniserv-conf
# Create the log dir and keep
diropts -m0700
dodir /var/log/webmin
keepdir /var/log/webmin
# Create the init.d file and put the neccessary variables there
newinitd "${FILESDIR}"/init.d.webmin webmin
sed -i \
-e "s:%exe%:${EROOT}usr/libexec/webmin/miniserv.pl:" \
-e "s:%pid%:${EROOT}var/run/webmin.pid:" \
-e "s:%conf%:${EROOT}etc/webmin/miniserv.conf:" \
-e "s:%perllib%:${EROOT}usr/libexec/webmin:" \
"${ED}etc/init.d/webmin" \
|| die "Failed to patch the webmin init file"
# Setup pam
pamd_mimic system-auth webmin auth account session
# Copy files to installation folder
ebegin "Copying install files to destination"
cp -pPR "${S}"/* "${ED}usr/libexec/webmin"
eend $?
}
pkg_preinst() {
# First stop service if running so Webmin to not messup our config
ebegin "Stopping any running Webmin instance prior merging"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
}
pkg_postinst() {
# Run pkg_config phase first - non interactively
export INTERACTIVE="no"
pkg_config
# Every next time pkg_config should be interactive
INTERACTIVE="yes"
ewarn
ewarn "Bare in mind that not all Webmin modules are Gentoo tweaked and may have some issues."
ewarn "Always be careful when using modules that modify init entries, do update of webmin, install CPAN modules etc."
ewarn "To avoid problems, please before using any module, look at its configuration options first."
ewarn "(Usually there is a link at top in the right pane of Webmin for configuring the module.)"
ewarn
elog "- To make Webmin start at boot time, run: 'rc-update add webmin default'"
elog "- The default URL to connect to Webmin is: https://localhost:10000"
elog "- The default user that can login is: root"
elog "- To reconfigure Webmin in case of problems run 'emerge --config app-admin/webmin'"
}
pkg_prerm() {
# First stop service if running - we do not want Webmin to mess up config
ebegin "Stopping any running Webmin instance prior unmerging"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
}
pkg_postrm() {
ewarn
ewarn "You have uninstalled Webmin, so have in mind that all cron jobs scheduled"
ewarn "by Webmin for its own modules, are left active and they will fail when Webmin is missing."
ewarn "To fix this just disable them if you intend to use Webmin again,"
ewarn "OR delete them if not."
ewarn
}
pkg_config(){
# First stop service if running
ebegin "Stopping any running Webmin instance"
rc-service --ifexists -- webmin --ifstarted stop
eend $?
# Next set the default reset variable to 'none'
# reset/_reset can be:
# 'none' - does not reset anything, just upgrades if a conf is present
# OR installs new conf if a conf is missing
# 'soft' - deletes only $config_dir/config file and thus resetting most
# conf values to their defaults. Keeps the specific Webmin cron jobs
# 'hard' - deletes all files in $config_dir (keeping the .keep_* Gentoo file)
# and thus resetting all Webmin. Deletes the specific Webmin cron jobs too.
local _reset="none"
# If in interactive mode ask user what should we do
if [[ "${INTERACTIVE}" = "yes" ]]; then
einfo
einfo "Please enter the number of the action you would like to perform?"
einfo
einfo "1. Update configuration"
einfo " (keeps old config options and adds the new ones)"
einfo "2. Soft reset configuration"
einfo " (keeps some old config options, the other options are set to default)"
ewarn " All Webmin users will be reset"
einfo "3. Hard reset configuration"
einfo " (all options including module options are set to default)"
ewarn " You will lose all Webmin configuration options you have done till now"
einfo "4. Exit this configuration utility (default)"
while [ "$correct" != "true" ] ; do
read answer
if [[ "$answer" = "1" ]] ; then
_reset="none"
correct="true"
elif [[ "$answer" = "2" ]] ; then
_reset="soft"
correct="true"
elif [[ "$answer" = "3" ]] ; then
_reset="hard"
correct="true"
elif [ "$answer" = "4" -o "$answer" = "" ] ; then
die "User aborted configuration."
else
echo "Answer not recognized. Enter a number from 1 to 4"
fi
done
if [[ "$_reset" = "hard" ]]; then
while [ "$sure" != "true" ] ; do
ewarn "You will lose all Webmin configuration options you have done till now."
ewarn "Are you sure you want to do this? (y/n)"
read answer
if [[ $answer =~ ^[Yy]([Ee][Ss])?$ ]] ; then
sure="true"
elif [[ $answer =~ ^[Nn]([Oo])?$ ]] ; then
die "User aborted configuration."
else
echo "Answer not recognized. Enter 'y' or 'n'"
fi
done
fi
fi
export reset=$_reset
# Create ssl certificate for Webmin if there is not one in the proper place
if [[ ! -e "${EROOT}etc/ssl/webmin/server.pem" ]]; then
SSL_ORGANIZATION="${SSL_ORGANIZATION:-Webmin Server}"
SSL_COMMONNAME="${SSL_COMMONNAME:-*}"
install_cert "${EROOT}/etc/ssl/webmin/server"
fi
# Ensure all paths passed to the setup script use EROOT
export wadir="${EROOT}usr/libexec/webmin"
export config_dir="${EROOT}etc/webmin"
export var_dir="${EROOT}var/log/webmin"
export tempdir="${T}"
export pidfile="${EROOT}var/run/webmin.pid"
export perl="$( which perl )"
export os_type='gentoo-linux'
export os_version='*'
export real_os_type='Gentoo Linux'
export real_os_version='Any version'
# Forcing 'ssl', 'ssl_redirect' and 'no_sslcompression' for tightening security
export ssl=1
export ssl_redirect=1
export no_sslcompression=1
export keyfile="${EROOT}etc/ssl/webmin/server.pem"
export port=10000
export atboot=0
einfo "Executing Webmin's configure script"
$wadir/gentoo-setup.sh
einfo "Configuration of Webmin done"
}

4
app-admin/webmin/webmin-1.620.ebuild → app-admin/webmin/webmin-1.680.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/webmin/webmin-1.620.ebuild,v 1.1 2013/02/06 20:13:50 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/webmin/webmin-1.680.ebuild,v 1.1 2014/05/01 16:30:09 hwoarang Exp $
EAPI="3"

1
app-arch/dpkg/Manifest

@ -4,3 +4,4 @@ DIST dpkg_1.17.5.tar.xz 3839224 SHA256 b7c465006bb87725cf0fbcf61bd04d9c31384a4a6
DIST dpkg_1.17.6.tar.xz 3859780 SHA256 96f5cddffbd7557574a90a4b90cb5387c4cd5334011b90b38fe67ebfdf9eb464 SHA512 8b33c4956fb24b843941c13805e0991740467b37f27f88ba3231a3a43878602e2264d6672de93b1ef5caabb3307c6f893de53a144adbc66af9702b4898f0212f WHIRLPOOL 9952b383c7c00c0f5e9aa404b5f7f86e284b7f33d0ab750c6a1d85f00f2a7fa2e0aefb796d6c7ff14c3c8848f76467e5edfc101b41b40a7e16887b5045e18fcb
DIST dpkg_1.17.7.tar.xz 4038164 SHA256 c4f10ca274757476c438f17b1edf9f62510b0fbae4f13130f7a1d3980d4b90ee SHA512 404a3067da6ff143dcd1c58c7d5ea2eb590a76a73dc5a5c027f20bc1ca7705e41d16bda06fa69483a51e335538425fa33af24297eb522377e51522ee2b95df15 WHIRLPOOL e83f650692f34cb307e549ade6512c8182759e59e2580a586586bc41086f4263c3a2597c5c156ff96050ff0e99cdd95788dc5eabb7381540de18bcdaacfc1371
DIST dpkg_1.17.8.tar.xz 4044064 SHA256 d69ea0fa3209ce41f7d05b3414d6f7241d8cb66a73c7e15250dce7b2cbb07ede SHA512 7c094d69ad5d9a082d774ce6fee3d7ba9201180cde8476cd687690115d85d286229f3533dcbfc2a5b28a1e44b416ed4142b75842694eaee2091f4fa8a6d3da0a WHIRLPOOL b1a01d6d2ddd093ba9deddb35aa23a4598a47272a2fa70939dfc6f3aab068f3256ac305901f1dad4c02e94a5dd620db4781a611a77d6a9686c8df3bc9dac88df
DIST dpkg_1.17.9.tar.xz 4051292 SHA256 da58389a80a3515ea12aaf10c9e48f84ee6c08d2fe2c9e1450f4df49ffeeb6aa SHA512 6d0f463f8102bf77ea93b34fc80c073e1dfef980ba1afbecdfa0d1098945afdda2f59c11e87be7ea1410eee909ee3ebd0df47066eb54de27e3c49725fddc2bc3 WHIRLPOOL 041ee2738acf498c604d9d2f02d4aacbbdc83f61ce09dfc1df63c4566c0f14c93280fe01ed47ab1236c4cf97e17b49c1ffebc10324370cdd970f8aec6230161a

4
app-arch/dpkg/dpkg-1.17.8.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/dpkg/dpkg-1.17.8.ebuild,v 1.2 2014/04/29 03:16:25 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/dpkg/dpkg-1.17.8.ebuild,v 1.4 2014/04/30 14:21:11 ago Exp $
EAPI=5
inherit eutils multilib autotools toolchain-funcs
@ -11,7 +11,7 @@ SRC_URI="mirror://debian/pool/main/d/${PN}/${P/-/_}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
IUSE="+bzip2 dselect +lzma nls test unicode +update-alternatives +zlib"
REQUIRED_USE="dselect? ( nls )"

96
app-arch/dpkg/dpkg-1.17.9.ebuild

@ -0,0 +1,96 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/dpkg/dpkg-1.17.9.ebuild,v 1.2 2014/04/30 15:00:19 jer Exp $
EAPI=5
inherit eutils multilib autotools toolchain-funcs
DESCRIPTION="Package maintenance system for Debian"
HOMEPAGE="http://packages.qa.debian.org/dpkg"
SRC_URI="mirror://debian/pool/main/d/${PN}/${P/-/_}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
IUSE="+bzip2 dselect +lzma nls test unicode +update-alternatives +zlib"
REQUIRED_USE="dselect? ( nls )"
RDEPEND="
>=dev-lang/perl-5.6.0
dev-perl/TimeDate
>=sys-libs/ncurses-5.2-r7
lzma? ( app-arch/xz-utils )
zlib? ( >=sys-libs/zlib-1.1.4 )
bzip2? ( app-arch/bzip2 )
"
DEPEND="
${RDEPEND}
app-arch/xz-utils
sys-devel/flex
virtual/pkgconfig
nls? (
app-text/po4a
>=sys-devel/gettext-0.18.2
)
test? (
dev-perl/DateTime-Format-DateParse
dev-perl/IO-String
dev-perl/Test-Pod
virtual/perl-Test-Harness
)
"
DOCS=( ChangeLog THANKS TODO )
src_prepare() {
# do not expect Debian's gzip --rsyncable extension
epatch "${FILESDIR}"/${PN}-1.17.0-gzip-rsyncable.patch
epatch "${FILESDIR}"/${PN}-1.17.1-flags.patch
# Force the use of the running bash for get-version (this file is never
# installed, so no need to worry about hardcoding a temporary bash)
sed -i -e '1c\#!'"${BASH}" get-version || die
# this test depends on a Debian only gzip extension that adds --rsyncable
# which will therefore always fail on Gentoo. (bug #310847).
sed -i scripts/Makefile.am \
-e '/850_Dpkg_Compression.t/d' \
|| die "sed failed"
# test fails (bug #414095)
sed -i utils/Makefile.am \
-e '/^test_cases/d;/100_update_alternatives/d' || die
use nls && strip-linguas -i po
eautoreconf
}
src_configure() {
tc-export CC
econf \
$(use_enable dselect) \
$(use_enable nls) \
$(use_enable unicode) \
$(use_enable update-alternatives) \
$(use_with bzip2 bz2) \
$(use_with zlib) \
$(use_with lzma liblzma) \
--disable-compiler-warnings \
--disable-silent-rules \
--disable-start-stop-daemon \
--localstatedir="${EPREFIX}"/var \
--without-selinux
}
src_compile() {
emake AR=$(tc-getAR)
}
src_install() {
default
keepdir /usr/$(get_libdir)/db/methods/{mnt,floppy,disk}
keepdir /usr/$(get_libdir)/db/{alternatives,info,methods,parts,updates}
}

3
app-backup/obnam/obnam-1.7.4.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/obnam/obnam-1.7.4.ebuild,v 1.1 2014/04/01 20:06:10 mschiff Exp $
# $Header: /var/cvsroot/gentoo-x86/app-backup/obnam/obnam-1.7.4.ebuild,v 1.2 2014/05/02 16:49:19 mschiff Exp $
EAPI=5
@ -22,6 +22,7 @@ IUSE=""
DEPEND="${PYTHON_DEPS}
dev-python/cliapp
dev-python/fuse-python
dev-python/larch
<dev-python/paramiko-1.13
dev-python/tracing

2
app-crypt/kencfs/Manifest

@ -1,2 +1,2 @@
DIST 134003-kencfs-1.2.tar.gz 79623 SHA256 0769d0e5500edbdd90886af4dc5e668c37aee0ba9c4e29e5202ce05169f10a42 SHA512 f94a90bd20475c913910dfcdb1b1d229bddb84dc0d478e04a35af3b0ad461bb29ec45ebea8c76a5899c131f80b16c7f0923da58dd2085b1da272bb6d29dbd203 WHIRLPOOL eeb9229eebf175259ee44c37204b17e1de37a291cbb27e52592bdc5a8394a6644f5a6d81b3ee462a50a33d9aa84faa6c01539de6a2b1d8e85e12fc8ca8d4b87d
DIST 134003-kencfs-1.3.0.tar.gz 129011 SHA256 e6afab21c9538b3cbaf67ba0893b741d5fd3c892e8acfea247af528a3e7584ae SHA512 8d1aa98883eb1b13e66861c72351962b7a1f8cb4a614f102c314902d8d8203419e4af22465aba0a3924e62cabc76510eb06d12263db3a09e1ebb08b8fa3ec476 WHIRLPOOL 22fe073a7065fdda569f9c9c3939779617ddb5972ecb5ef2b1458627fe1a38ad9cafa6c3e0615215f88f729e4940f71d7ac8576adf43fa9da36b2155dafc0e7b
DIST 134003-kencfs-1.3.1.tar.gz 132706 SHA256 0afc9f0c77c09e7716cd3cec1f1a30d56df9e7191ebdc7b2a5c941db87bf220e SHA512 0560a3c3abc315b32a1e129672a1161cac29d954f598c4a68868180087db6dd0013b136aaad2af0e478d4d61e69a83c1b89862b598ab99727a93b336a3638584 WHIRLPOOL 838582cb0916cbab2c7faea4d5a5c5e46e412edac6ee6c7cfe4b1c712f6c3c7ccfae559ad0f10ac6db67bf95a28a6052c947ed01ed2ac5322562a9ef9ac327f1

12
app-crypt/kencfs/files/kencfs-1.1-underlinking.patch

@ -1,12 +0,0 @@
diff -ruN kencfs-1.1.orig/kencfs.pro kencfs-1.1/kencfs.pro
--- kencfs-1.1.orig/kencfs.pro 2010-11-07 19:45:20.000000000 +0100
+++ kencfs-1.1/kencfs.pro 2011-09-25 17:14:51.000000000 +0200
@@ -22,7 +22,7 @@
fsdialog.ui \
configdialog.ui
OTHER_FILES +=
-LIBS += -lkdeui
+LIBS += -lkdeui -lkdecore -lQtNetwork
TRANSLATIONS = kencfs_it.ts
# install

44
app-crypt/kencfs/kencfs-1.2-r1.ebuild

@ -1,44 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/kencfs/kencfs-1.2-r1.ebuild,v 1.2 2013/03/02 19:14:26 hwoarang Exp $
EAPI=5
LANGS="it"
inherit qt4-r2
DESCRIPTION="GUI frontend for encfs"
HOMEPAGE="http://kde-apps.org/content/show.php?content=134003"
SRC_URI="http://kde-apps.org/CONTENT/content-files/134003-${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="kde-base/kdelibs
dev-qt/qtcore:4
dev-qt/qtgui:4
"
RDEPEND="${DEPEND}
sys-fs/encfs
"
PATCHES=(
"${FILESDIR}/${PN}-1.1-underlinking.patch"
"${FILESDIR}/${P}-desktop.patch"
"${FILESDIR}/${P}-encfs5.patch"
"${FILESDIR}/${P}-gcc-4.7.patch"
)
src_prepare() {
qt4-r2_src_prepare
sed -i ${PN}.pro -e "/^doc.path =/s/${PN}-1.1/${PF}/" \
|| die "sed docdir failed"
if ! use linguas_it ; then
sed -i ${PN}.pro -e "s/*.qm//" \
|| die "sed TRANSLATIONS failed"
fi
}

40
app-crypt/kencfs/kencfs-1.3.1.ebuild

@ -0,0 +1,40 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/kencfs/kencfs-1.3.1.ebuild,v 1.1 2014/05/01 16:17:12 kensington Exp $
EAPI=5
inherit qt4-r2
DESCRIPTION="GUI frontend for encfs"
HOMEPAGE="http://kde-apps.org/content/show.php?content=134003"
SRC_URI="http://kde-apps.org/CONTENT/content-files/134003-${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
dev-qt/qtcore:4
dev-qt/qtgui:4
kde-base/kdelibs:4
"
RDEPEND="${DEPEND}
kde-base/kwalletd
sys-fs/encfs
"
PATCHES=(
"${FILESDIR}/${PN}-1.2-desktop.patch"
"${FILESDIR}/${PN}-1.2-encfs5.patch"
"${FILESDIR}/${PN}-1.2-gcc-4.7.patch"
"${FILESDIR}/${PN}-1.3.0-build-fix.patch"
)
src_prepare() {
qt4-r2_src_prepare
sed -i ${PN}.pro -e "/^doc.path =/s/${PN}-1.3/${PF}/" \
|| die "sed docdir failed"
}

2
app-crypt/kencfs/metadata.xml

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
<herd>kde</herd>
</pkgmetadata>

4
app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild,v 1.1 2014/04/03 16:39:48 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/app-doc/zsh-lovers/zsh-lovers-0.9.0.ebuild,v 1.2 2014/05/02 12:55:21 jer Exp $
EAPI=5
@ -10,7 +10,7 @@ SRC_URI="http://deb.grml.org/pool/main/z/${PN}/${PN}_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
DEPEND="app-text/asciidoc"

1
app-editors/emacs-vcs/Manifest

@ -1,2 +1,3 @@
DIST emacs-24.3.50_pre20140331.tar.xz 23995832 SHA256 566dad818e037920a46313b7408047ab68aaee5b25b2453cefae59c4a34252d8 SHA512 1cb120f57a91e4c108e89d1a60bdfc402512c7c94ed1d39b22baf891c4924427dbe77a4e84b1ebbf844c5b86ca23287073646cdb6ea2c8cb430333f474ca630f WHIRLPOOL a9c0c3a8b14c5e51c19df963111ce4e7c8e0dadebacd1000f1bc761a8ae7ca58e73adfde44068d3c7696fec33b13bad900d0c47767493f95c3fa4115e2cf3bef
DIST emacs-24.3.90.tar.xz 39407604 SHA256 f82ed8db1e225b760eba09ab37a5a908160e7e76158143bc0d0ac23fd0e6a30f SHA512 e80cddb621c2eb104f8fbd64ad1fe5b1f60717a5f5484f724fb7d39704a74ee6dfc353087afde72fd3d16f919c1e4ad014817c4368d8d51cef4ae3a4cc7e1341 WHIRLPOOL 73e94dfb44c18e97afcab07ba0845cfb699e13ae184513671c01974ed02438cbc097804e471f4ad07e20f0544f874b302c7174960bbf19d9c06d6a10a5657d79
DIST emacs-24.4.50_pre20140430.tar.xz 24016580 SHA256 e522b45f98ff2156696d6950eadf62d91096022b6ae16bd661652e5248fce64c SHA512 51eb12e9d6040aa7bd4377eb51c062c46df8756b97e54bd6f086a093ea4ee7a43ae62025866ee2c1a0b4c46feb7c9dd9719033a19126803f79ddeddf0ae150e5 WHIRLPOOL a1a747bee4bccbea114a7af9791b55dc6be1cfa452f7181b31a927c46d5bf07d8ebc3865cc3cf50c03869cacf0031d63d1dbf6bd6b6a3000c25eab40a59e3389

367
app-editors/emacs-vcs/emacs-vcs-24.4.50_pre20140430.ebuild

@ -0,0 +1,367 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/emacs-vcs/emacs-vcs-24.4.50_pre20140430.ebuild,v 1.1 2014/05/02 07:51:57 ulm Exp $
EAPI=5
inherit autotools elisp-common eutils flag-o-matic multilib readme.gentoo
if [[ ${PV##*.} = 9999 ]]; then
EBZR_PROJECT="emacs"
EBZR_BRANCH="trunk"
EBZR_REPO_URI="bzr://bzr.savannah.gnu.org/emacs/${EBZR_BRANCH}/"
# "Nosmart" is much faster for initial branching.
EBZR_INITIAL_URI="nosmart+${EBZR_REPO_URI}"
EBZR_UNPACK_DIR="${WORKDIR}/emacs"
EBZR_WORKDIR_CHECKOUT="t" #434746
inherit bzr
S="${EBZR_UNPACK_DIR}"
else
SRC_URI="http://dev.gentoo.org/~ulm/distfiles/emacs-${PV}.tar.xz
mirror://gnu-alpha/emacs/pretest/emacs-${PV}.tar.xz"
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
# operations later on
FULL_VERSION="${PV%%_*}"
#S="${WORKDIR}/emacs-${FULL_VERSION}"
S="${WORKDIR}/emacs"
fi
DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
HOMEPAGE="http://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="24"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="acl alsa aqua athena dbus games gconf gfile gif gnutls gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib motif pax_kernel png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses
>=app-admin/eselect-emacs-1.16
>=app-emacs/emacs-common-gentoo-1.3-r3[games?,X?]
net-libs/liblockfile
acl? ( virtual/acl )
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
gfile? ( >=dev-libs/glib-2.28.6 )
gnutls? ( net-libs/gnutls )
gpm? ( sys-libs/gpm )
hesiod? ( net-dns/hesiod )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
selinux? ( sys-libs/libselinux )
zlib? ( sys-libs/zlib )
X? (
x11-libs/libXmu
x11-libs/libXt
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib )
jpeg? ( virtual/jpeg:0= )
png? ( >=media-libs/libpng-1.4:0= )
svg? ( >=gnome-base/librsvg-2.0 )
tiff? ( media-libs/tiff )
xpm? ( x11-libs/libXpm )
imagemagick? ( >=media-gfx/imagemagick-6.6.2 )
xft? (
media-libs/fontconfig
media-libs/freetype
x11-libs/libXft
m17n-lib? (
>=dev-libs/libotf-0.9.4
>=dev-libs/m17n-lib-1.5.1
)
)
gtk? (
gtk3? ( x11-libs/gtk+:3 )
!gtk3? ( x11-libs/gtk+:2 )
)
!gtk? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
Xaw3d? ( x11-libs/libXaw3d )
!Xaw3d? ( athena? ( x11-libs/libXaw ) )
)
)
)"
DEPEND="${RDEPEND}
alsa? ( virtual/pkgconfig )
dbus? ( virtual/pkgconfig )
gfile? ( virtual/pkgconfig )
gnutls? ( virtual/pkgconfig )
libxml2? ( virtual/pkgconfig )
X? ( virtual/pkgconfig )
gzip-el? ( app-arch/gzip )
pax_kernel? (
sys-apps/attr
sys-apps/paxctl
)"
if [[ ${PV##*.} = 9999 ]]; then
DEPEND="${DEPEND}
sys-apps/texinfo"
fi
EMACS_SUFFIX="${PN/emacs/emacs-${SLOT}}"
SITEFILE="20${PN}-${SLOT}-gentoo.el"
src_prepare() {
if [[ ${PV##*.} = 9999 ]]; then
FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[ \t]*\([^ \t,)]*\).*/\1/p' \
configure.ac)
[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
einfo "Emacs branch: ${EBZR_BRANCH}"
einfo "Revision: ${EBZR_REVISION:-${EBZR_REVNO}}"
einfo "Emacs version number: ${FULL_VERSION}"
[[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
|| die "Upstream version number changed to ${FULL_VERSION}"
fi
epatch_user
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
|| die "unable to sed ctags.1"
AT_M4DIR=m4 eautoreconf
}
src_configure() {
strip-flags
if use sh; then
replace-flags "-O[1-9]" -O0 #262359
elif use ia64; then
replace-flags "-O[2-9]" -O1 #325373
else
replace-flags "-O[3-9]" -O2
fi
local myconf
if use alsa; then
use sound || ewarn \
"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
myconf+=" --with-sound=alsa"
else
myconf+=" --with-sound=$(usex sound oss)"
fi
if use X; then
myconf+=" --with-x --without-ns"
myconf+=" $(use_with gconf)"
myconf+=" $(use_with gsettings)"
myconf+=" $(use_with toolkit-scroll-bars)"
myconf+=" $(use_with gif)"
myconf+=" $(use_with jpeg)"
myconf+=" $(use_with png)"
myconf+=" $(use_with svg rsvg)"
myconf+=" $(use_with tiff)"
myconf+=" $(use_with xpm)"
myconf+=" $(use_with imagemagick)"
if use xft; then
myconf+=" --with-xft"
myconf+=" $(use_with m17n-lib libotf)"
myconf+=" $(use_with m17n-lib m17n-flt)"
else
myconf+=" --without-xft"
myconf+=" --without-libotf --without-m17n-flt"
use m17n-lib && ewarn \
"USE flag \"m17n-lib\" has no effect if \"xft\" is not set."
fi
local f
if use gtk; then
einfo "Configuring to build with GIMP Toolkit (GTK+)"
myconf+=" --with-x-toolkit=$(usex gtk3 gtk3 gtk2)"
for f in motif Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"gtk\" is set."
done
elif use motif; then
einfo "Configuring to build with Motif toolkit"
myconf+=" --with-x-toolkit=motif"
for f in Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"motif\" is set."
done
elif use athena || use Xaw3d; then
einfo "Configuring to build with Athena/Lucid toolkit"
myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
else
einfo "Configuring to build with no toolkit"
myconf+=" --with-x-toolkit=no"
fi
elif use aqua; then
einfo "Configuring to build with Nextstep (Cocoa) support"
myconf+=" --with-ns --disable-ns-self-contained"
myconf+=" --without-x"
else
myconf+=" --without-x --without-ns"
fi
# Save version information in the Emacs binary. It will be available
# in variable "system-configuration-options".
myconf+=" GENTOO_PACKAGE=${CATEGORY}/${PF}"
if [[ ${PV##*.} = 9999 ]]; then
myconf+=" EBZR_BRANCH=${EBZR_BRANCH} EBZR_REVNO=${EBZR_REVNO}"
fi
econf \
--program-suffix="-${EMACS_SUFFIX}" \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--with-gameuser="${GAMES_USER_DED:-games}" \
--without-compress-install \
--with-file-notification=$(usev gfile || usev inotify || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with gnutls) \
$(use_with gpm) \
$(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with selinux) \
$(use_with wide-int) \
$(use_with zlib) \
${myconf}
}
src_compile() {
export SANDBOX_ON=0 # for the unbelievers, see Bug #131505
emake
}
src_install () {
emake DESTDIR="${D}" NO_BIN_LINK=t install
mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
|| die "moving emacs executable failed"
mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
|| die "moving emacs man page failed"
# move info dir to avoid collisions with the dir file generated by portage
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
|| die "moving info dir failed"
touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig
# avoid collision between slots, see bug #169033 e.g.
rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el
rm -rf "${ED}"/usr/share/{applications,icons}
rm -rf "${ED}"/var
# remove unused <version>/site-lisp dir
rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp
if use gzip-el; then
# compress .el files when a corresponding .elc exists
find "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp -type f \
-name "*.elc" -print | sed 's/\.elc$/.el/' | xargs gzip -9n
assert "gzip .el failed"
fi
local cdir
if use source; then
cdir="/usr/share/emacs/${FULL_VERSION}/src"
insinto "${cdir}"
# This is not meant to install all the source -- just the
# C source you might find via find-function
doins src/*.{c,h,m}
elif has installsources ${FEATURES}; then
cdir="/usr/src/debug/${CATEGORY}/${PF}/${S#"${WORKDIR}/"}/src"
fi
sed -e "${cdir:+#}/^Y/d" -e "s/^[XY]//" >"${T}/${SITEFILE}" <<-EOF
X
;;; ${PN}-${SLOT} site-lisp configuration
X
(when (string-match "\\\\\`${FULL_VERSION//./\\\\.}\\\\>" emacs-version)
Y (setq find-function-C-source-directory
Y "${EPREFIX}${cdir}")
X (let ((path (getenv "INFOPATH"))
X (dir "${EPREFIX}/usr/share/info/${EMACS_SUFFIX}")
X (re "\\\\\`${EPREFIX}/usr/share/info\\\\>"))
X (and path
X ;; move Emacs Info dir before anything else in /usr/share/info
X (let* ((p (cons nil (split-string path ":" t))) (q p))
X (while (and (cdr q) (not (string-match re (cadr q))))
X (setq q (cdr q)))
X (setcdr q (cons dir (delete dir (cdr q))))
X (setq Info-directory-list (prune-directory-list (cdr p)))))))
EOF
elisp-site-file-install "${T}/${SITEFILE}" || die
dodoc README BUGS
if use aqua; then
dodir /Applications/Gentoo
rm -rf "${ED}"/Applications/Gentoo/Emacs${EMACS_SUFFIX#emacs}.app
mv nextstep/Emacs.app \
"${ED}"/Applications/Gentoo/Emacs${EMACS_SUFFIX#emacs}.app || die
fi
DOC_CONTENTS="You can set the version to be started by /usr/bin/emacs
through the Emacs eselect module, which also redirects man and info
pages. Therefore, several Emacs versions can be installed at the
same time. \"man emacs.eselect\" for details.
\\n\\nIf you upgrade from Emacs version 24.2 or earlier, then it is
strongly recommended that you use app-admin/emacs-updater to rebuild
all byte-compiled elisp files of the installed Emacs packages."
use X && DOC_CONTENTS+="\\n\\nYou need to install some fonts for Emacs.
Installing media-fonts/font-adobe-{75,100}dpi on the X server's
machine would satisfy basic Emacs requirements under X11.
See also https://wiki.gentoo.org/wiki/Xft_support_for_GNU_Emacs
for how to enable anti-aliased fonts."
use aqua && DOC_CONTENTS+="\\n\\nEmacs${EMACS_SUFFIX#emacs}.app is in
\"${EPREFIX}/Applications/Gentoo\". You may want to copy or symlink
it into /Applications by yourself."
readme.gentoo_create_doc
}
pkg_preinst() {
# move Info dir file to correct name
local infodir=/usr/share/info/${EMACS_SUFFIX} f
if [[ -f ${ED}${infodir}/dir.orig ]]; then
mv "${ED}"${infodir}/dir{.orig,} || die "moving info dir failed"
elif [[ -d "${ED}"${infodir} ]]; then
# this should not happen in EAPI 4
ewarn "Regenerating Info directory index in ${infodir} ..."
rm -f "${ED}"${infodir}/dir{,.*}
for f in "${ED}"${infodir}/*; do
if [[ ${f##*/} != *-[0-9]* && -e ${f} ]]; then
install-info --info-dir="${ED}"${infodir} "${f}" \
|| die "install-info failed"
fi
done
fi
}
pkg_postinst() {
elisp-site-regen
local pvr
for pvr in ${REPLACING_VERSIONS}; do
[[ ${pvr%%[-_]*} = 24.[12] ]] && FORCE_PRINT_ELOG=1
done
readme.gentoo_print_elog
if use livecd; then
# force an update of the emacs symlink for the livecd/dvd,
# because some microemacs packages set it with USE=livecd
eselect emacs update
elif [[ $(readlink "${EROOT}"/usr/bin/emacs) = ${EMACS_SUFFIX} ]]; then
# refresh symlinks in case any installed files have changed
eselect emacs set ${EMACS_SUFFIX}
else
eselect emacs update ifunset
fi
}
pkg_postrm() {
elisp-site-regen
eselect emacs update ifunset
}

1
app-editors/gvim/Manifest

@ -5,4 +5,5 @@ DIST vim-patches-7.3.762.patch.bz2 1102824 SHA256 91dd83f66b1f362be987cff40c00c0
DIST vim-patches-7.4.155.patch.bz2 183677 SHA256 df57d372ace540809dde22ad649ee7f13c4a165770cef28bb76d8dc7aa630671 SHA512 0667810a1ae908f5739ab37b32688fff3d65c4f69e83d3f9d0364112e8e7f70c77eeae3d672725df25ad837a75e373619321c1f183e7ded67afad544fbdd7801 WHIRLPOOL 829ab6152daed43323af6537669d4c3d6367138d0858c746ba02a6fc15497ef7161c62ccbe9bac7526296f5adf52a4ba1fe86c3539dd559ddc5cb4f6e0f90cfe
DIST vim-patches-7.4.169.patch.bz2 220499 SHA256 faf5e06098d45b25cea6ddb9e4ef080ce4717f2c2148678ded4f715bcb9fd652 SHA512 1102d7f89ad0cdd81f4bfa03875d400be3b642565527c61e72583b85723ef5f25ed7d7bc0dd6b620d013f65f500add84b96db734f45c21369e22405f6f6a6f8d WHIRLPOOL 1e45b776f85c941b3b741018338ece2b299576e5261103bc381e9b1f1162652bd79f119e060710dbabf99e3bff0668de9485df38b57897f716bd52a2f1f3cb2f
DIST vim-patches-7.4.193.patch.bz2 252912 SHA256 9fbfa1758610a84315bb74c3e6d8224779fd5ef1fccb3acabc488d855966839a SHA512 d86d1bcc2dea13971772ff716dfd455c66d7e8df280c2a7293ec2d7baa10a0e184b4083044665db7b4a0a7c64bbcc0c3f20e43fd937dd712fb4cfd6ce9a0a5ab WHIRLPOOL 46203445b9d8b445f2be63262a60d7e48ddf922c5830326af84199760e8770b0b987974f4abb52d97099ddfabb6c0f93cb6647bfe5e0f94eed056bbb10aee3db
DIST vim-patches-7.4.273.patch.bz2 506378 SHA256 065447179d22602315e2965d135cf9f1db4394ff5655520719f6338ff29e89ca SHA512 029a5cef758e4b201eabbc82458f3e1c3674582715a8c78a7270f3ecd57980b1cef66a0152526fd3505685c27c07f6e6742da48da9ad9546e3cfc2a5e7c11164 WHIRLPOOL 305322e991e9640b80147dd5ceac9dd6dae93a07610f807bbf01c0fdf37cba67ea41a1b2720c8a43da0161c57e0a522086f135efc712fb0106497a21288a872a
DIST vim-patches-7.4.52.patch.bz2 14 SHA256 d3dda84eb03b9738d118eb2be78e246106900493c0ae07819ad60815134a8058 SHA512 6de201dfed1d45412509c65deb34690dc2d09c6aafccfe491fd2f440f92842b9c755b61dc7bcdd4cc0c9f18cf46c2b3a1241e99c4c2a33fff5555e7b2f0b6348 WHIRLPOOL 39fd27630df1bd07de69b6bae68be5028bbefbc8ffdac645d5e0527eb1ed9575d0aaf97b39d0d6c9b69401846fbf8aeb3383b14bafb4a7564a20e92182dbd4b0

399
app-editors/gvim/gvim-7.4.273.ebuild

@ -0,0 +1,399 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gvim/gvim-7.4.273.ebuild,v 1.1 2014/05/01 09:07:12 radhermit Exp $
EAPI=5
VIM_VERSION="7.4"
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3,3_4} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1 prefix python-single-r1
if [[ ${PV} == 9999* ]] ; then
inherit mercurial
EHG_REPO_URI="https://vim.googlecode.com/hg/"
EHG_PROJECT="vim"
else
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~radhermit/vim/${VIM_ORG_PATCHES}"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
fi
DESCRIPTION="GUI version of the Vim text editor"
HOMEPAGE="http://www.vim.org/"
SLOT="0"
LICENSE="vim"
IUSE="acl aqua cscope debug gnome gtk lua luajit motif neXt netbeans nls perl python racket ruby selinux session tcl"
REQUIRED_USE="
python? ( ${PYTHON_REQUIRED_USE} )
luajit? ( lua )
"
RDEPEND="
~app-editors/vim-core-${PV}
>=app-admin/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2
x11-libs/libXext
x11-libs/libXt
acl? ( kernel_linux? ( sys-apps/acl ) )
!aqua? (
gtk? (
>=x11-libs/gtk+-2.6:2
x11-libs/libXft
gnome? ( >=gnome-base/libgnomeui-2.6 )
)
!gtk? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
neXt? ( x11-libs/neXtaw )
!neXt? ( x11-libs/libXaw )
)
)
)
cscope? ( dev-util/cscope )
lua? (
luajit? ( dev-lang/luajit )
!luajit? ( dev-lang/lua[deprecated] )
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( || ( dev-lang/ruby:2.1 dev-lang/ruby:2.0 dev-lang/ruby:1.9 dev-lang/ruby:1.8 ) )
selinux? ( sys-libs/libselinux )
session? ( x11-libs/libSM )
tcl? ( dev-lang/tcl )
"
DEPEND="${RDEPEND}
>=app-admin/eselect-vi-1.1
dev-util/ctags
sys-devel/autoconf
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
S=${WORKDIR}/vim${VIM_VERSION/.}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
export HOME="${T}"/home
use python && python-single-r1_pkg_setup
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
if [[ -f "${WORKDIR}"/${VIM_ORG_PATCHES%.bz2} ]] ; then
# Apply any patches available from vim.org for this version
epatch "${WORKDIR}"/${VIM_ORG_PATCHES%.bz2}
fi
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.in || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.in || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
sed -i '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
epatch_user
}
src_configure() {
local myconf
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.in is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's/ auto.config.mk:/:/' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
done
use debug && append-flags "-DDEBUG"
myconf="--with-features=huge --disable-gpm --enable-multibyte"
myconf+=" $(use_enable acl)"
myconf+=" $(use_enable cscope)"
myconf+=" $(use_enable lua luainterp)"
myconf+=" $(use_with luajit)"
myconf+=" $(use_enable netbeans)"
myconf+=" $(use_enable nls)"
myconf+=" $(use_enable perl perlinterp)"
myconf+=" $(use_enable racket mzschemeinterp)"
myconf+=" $(use_enable ruby rubyinterp)"
myconf+=" $(use_enable selinux)"
myconf+=" $(use_enable session xsmp)"
myconf+=" $(use_enable tcl tclinterp)"
if use python ; then
if [[ ${EPYTHON} == python3* ]] ; then
myconf+=" --enable-python3interp"
export vi_cv_path_python3="${PYTHON}"
else
myconf+=" --enable-pythoninterp"
export vi_cv_path_python="${PYTHON}"
fi
else
myconf+=" --disable-pythoninterp --disable-python3interp"
fi
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope ; then
sed -i '/# define FEAT_CSCOPE/d' src/feature.h || \
die "couldn't disable cscope"
fi
# gvim's GUI preference order is as follows:
# aqua CARBON (not tested)
# -aqua gtk gnome GNOME2
# -aqua gtk -gnome GTK2
# -aqua -gtk motif MOTIF
# -aqua -gtk -motif neXt NEXTAW
# -aqua -gtk -motif -neXt ATHENA
echo ; echo
if use aqua ; then
einfo "Building gvim with the Carbon GUI"
myconf+=" --enable-darwin --enable-gui=carbon"